## org.eclipse.emf.ecore.sdo.action
Class SetSDODefaultsAction

    java.lang.Object
      org.eclipse.ui.actions.ActionDelegate
          org.eclipse.emf.ecore.sdo.action.SetSDODefaultsAction

All Implemented Interfaces:
  IActionDelegate, IActionDelegate2

    public class SetSDODefaultsAction

extends ActionDelegate
implements IActionDelegate

Field Summary
`protected GenModel` `genModel`
`protected static URI` `PLATFORM_RESOURCE`

Constructor Summary
`SetSDODefaultsAction()`

Method Summary
`void` `run(IAction action)`
`void` `selectionChanged(IAction action, ISelection selection)`

Methods inherited from class org.eclipse.ui.actions.ActionDelegate
`dispose, init, runWithEvent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PLATFORM_RESOURCE

    protected static final URI PLATFORM_RESOURCE

### genModel

    protected GenModel genModel

Constructor Detail

### SetSDODefaultsAction

    public SetSDODefaultsAction()

Method Detail

### run

    public void run(IAction action)

  Specified by:
    `run` in interface `IActionDelegate`
  Overrides:
    `run` in class `ActionDelegate`

### selectionChanged

    public void selectionChanged(IAction action,
                                 ISelection selection)

  Specified by:
    `selectionChanged` in interface `IActionDelegate`
  Overrides:
    `selectionChanged` in class `ActionDelegate`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.